客户协作 over 合同谈判

matlab 质心重合法实现点云配准【2026最新版】 质心重合法是将源点云和目标点云的质心重合,以此缩小两点云集之间的平移误差,从而为下一步粗配准提供更好的初始位置姿态。 阅读详情

客户协作 Customer collaboration OVER 合同谈判 contract negotiation

最近有人和我谈起他们的项目管理。他是一个项目经理,负责项目的进度跟踪和与客户的沟通。他能够很好的保持客户关系。他的团队中有一个年轻的程序员,工作充满热情,喜欢思考,喜欢用新技术,也很勇于指出问题。

有一天,这个年轻的程序员在客户处外勤,跟客户交流的时候,讨论到了系统某一块儿的功能。年轻的程序员基于他的工作热情,向客户提出,如果这么这么 做,那可能会给你带来更好的功能。客户听了挺高兴,觉得可行,这小伙说的不错。于是就反映到了项目经理处,说这小伙干的不赖,表扬表扬。这项目经理听到客 户的表扬,也附和的说,他确实很上进,回头我再给他当众表扬一下。

项目经理回到了公司,就把这程序员单独叫来聊了一下,他说,你给客户提建议,这样多思考挺好的,不过,咱们给客户开发,要一单一单的做。你说的那个 功能我早就想到了,但我没提,主要是考虑这个功能实现起来很容易,我们可以放在下一期,我们引导客户一下,让他们提出,我们再把它说的复杂艰巨点,这样咱 们很容易就能完成任务,下一期时间更充裕,而且还能收更多的钱。所以以后有想法咱们内部讨论,先别跟客户说。程序员点头称是。

这样的事情在很多公司都很常见。他们把客户视作敌方阵营,利用自己对IT知识优势了解,努力在一些地方上欺瞒和糊弄客户。

与客户成为敌对的关系,就难免要进行谈判。客户希望用低廉的价格买到他希望的功能,或者说,在一定价格内实现更多的功能。而公司希望提高价格,降低成本。两方表面上达成共识,实际上都在暗地博弈,要在边边角角上沾点小便宜。而这种博弈结果,就是双方都不能达到最好的情况。就像著名的囚徒困境,结局就是纳什均衡(Nash equilibrium),或非合作均衡。

软件开发的最终目的是要给用户交付价值,要达到客户的商业目标,从而完成公司目标。而为了实现客户和公司的双赢,咨询公司采用了加深客户协作的方式 来达成目标。咨询师会和客户一起工作,了解和认识客户,提出针对性的建议,帮助客户发现和识别业务价值,改进目前的系统。咨询师会站在和客户同一方的阵 营,和客户一起思考、学习和成长。虽然说起来很粗泛,但我所认识的每个咨询师确实都在认认真真的为客户考虑。

另一个会产生非合作均衡现象的是按时收费的单价合同和固定价格固定范围合同的问题。一般PM书籍上都会讲FFP合同对买方的风险比较低,而单价合同对于买方风险可高可低,取决于内容和项目性质。

如果签订固定价格合同,通常的,由于价格固定,客户会倾向于在这个价格内挤入更多的需求,有些人甚至不顾质量而要求更多的特性,反正完成不了都是开 发方的责任。而相对的,开发公司会希望在这里面减少成本,或者是人,或者是需求范围,甚至是不惜牺牲质量。最终两方博弈的结果就是项目出了问题。

这种情况下,更好的办法是单价合同,或者具体说,就是确定阶段时间内的开发力量,但不确定开发范围的收费方式。按照客户需求的优先级来开发,双方合 作,尽最大的努力,频繁交付。这种做法的好处是,客户可以控制项目的长短。可以不停的做下去,也可以立即随时终止。由于双方的协作,开发公司也会按照自己 的能力,尽最大可能来保证质量和进度。另一种改进过的单价合同,是基于开发方对项目的理解和估算,报出一个固定价格。在合作共赢的前提下,双方信任并接受 这个契约。这种情况好像更加适合国内的甲方。

前些天,一个原来的同事电话我,她以前是负责销售的,现在自己开了家公司。她雇佣了一个公司给她开发软件,开发了两个多月了还没见到是什么样子。眼 看就要到交付期限了,她想去看看,就问我应该怎么样去中期查验这软件。我告诉她,要怎么怎么样才能看出这系统到底能不能做完,怎么看出到底做的质量如何等 等。

瞧瞧,怎么样,客户也不是很好糊弄的嘛。你糊弄客户,焉知客户不会另请人来对付你?所以,在商业的博弈中,合作才能双赢。这就是为什么客户协作 over 合同谈判的原因了。

qq邮箱发错误:The “From“ header is missing or invalid. Please follow RFC5322, RFC2047, RFC822 standard pro 如果还报错 (550, b’The mail may contain inappropriate words or content.'),可能是你message[‘From’]中的< senderxxx@qq.com >发送邮箱填错了,必须要和self.sender = ’ senderxxx@qq.com '一样。可能是之前qq邮箱发送协议存在漏洞,可隐藏发送者邮箱。现在换了新协议,导致与原来协议规则、编码出现了一些问题。"python自动发送""python自动发送" 阅读详情

相关推荐

电拖笔记1电磁学基本知识与定律

电拖学习

qq458629839的博客 1132

敏捷软件开发实践-客户合作胜过合同谈判

2019独角兽企业重金招聘Python工程师标准>>> ...

weixin_33716941的博客 828

STM32 FATFS文件系统按行读取SD卡数据

STM32 SD数据实现按行读取

qq_32216815的博客 7824

客户协作 OVER 合同谈判

刚写的一篇blog: http://blog.nona.name/200703235.html 和徐x约好的命题作文,不过他还没写。 最近有人和我谈起他们的项目管理。他是一个项目经理,负责项目的进度跟踪和与客户的沟通。他能够很好的保持客户关系。他的团队中有一个年轻的程序员,工作充满热情,喜欢思考,喜欢用新技术,也很勇于指出问题。 有一天,这个年轻的程序员在客户处外勤,跟客户交流的时候,讨论到了系...

冰云 363

Palabos User Guide中文解读 | 第五章 | Palabos编程 (跳过了第四章Palabos-Java接口)

作者的话:本人在学习palabos时,发现国内中文资料甚少,恰好网上可以直接搜到palabos user guide这种英文资料,加之时间充裕,便打算开始翻译,翻了一节后发现这可能算侵权,就比较伤脑筋,突然想到自己写中文解读即可,便有了下面的博客。 Palabos User Guide Release 1.0 r1 Copyright © 2019 University of Geneva Jul...

Yulan Fang's notes. 2298

【AUTOSAR-COM】Transmission Mode 和 Transfer Property

1.COM模块的基本概念 首先在描述Transmission Mode 和 Transfer Property之前,有必要对COM模块的基本处理有一个直观的理解,我所描述的和对概念理解的也不一定完全正确。 Signal:指的是通信协议中的,一条报文中所保存的若干信号。 I-PDU:至少在COM模块中,可以理解为一条报文。 上图是在CANdb软件中编辑一个报文的Layout的界面,可以很形象的将I-PDU对等为这里的一条Message,而Signal就是需要在Message中需要摆放的Signal

tim_hoven的博客 4634

敏捷开发系列 - 敏捷开发的价值观

本人博客文章网址:https://www.peretang.com/agile-session-agile-values/ 前言 敏捷开发4大价值观 个体与交互胜于流程与工具 可工作的软件胜于面面俱到的文档 客户协作胜于合同谈判 响应变化胜于遵循计划   个体与交互胜于流程与工具 我们需要团队成员紧密合作, 不断交流, 共同协作. 在团队内要经常面对面交流沟通, 通过缩...

PereTang 612

基于51单片机的简易计算器设计(原理图+仿真+源代码+参考论文)

本设计以51单片机为核心,矩阵键盘输入数字,通过1602显示屏显示计算结果,能够实现整数的加、减、乘、除四则运算,具备清除功能。

u012759563的博客 7696

M システム - 笔记(4) -- 客户合作胜过合同谈判

“客户合作胜过合同谈判”--这是敏捷宣言里的一句话,但是现在却成了我们的致命问题。针对项目的特点,我们采取的迭代的开发方式,可是我们确遇到了失败:虽然我们告诉了客户公开网址的信息,可是客户从来没有访问过。 更严重的问题是客户那边没有人专门负责这个项目,这导致周一到周三,发送过的QA没有任何的回复。一直到周四,才有些回复。 所以现在所说的迭代没有任何意义:客户不去查看结果,迭代个什么劲?...

持续改进 509

Kappa函数:测量一致性并计算置信区间的R语言包

Kappa函数是一种常用的统计量,用于衡量两个评估者之间的一致性。在R语言中,有一个名为"vcd"的包提供了计算Kappa函数以及相应的置信区间的功能。本文将介绍如何使用"vcd"包来计算Kappa函数的值,并进一步计算置信区间。Kappa函数的值介于-1和1之间,值越接近1表示评估者之间的一致性越高,值越接近-1表示评估者之间的一致性越低,值接近0表示评估者之间的一致性接近于随机。通过以上步骤,我们成功地使用R语言中的"vcd"包计算了Kappa函数的值和置信区间。接下来,我们可以使用"vcd"包中的。

2301_79331230的博客 1875

RDKit | 基于Pytorch和RDKit建立QSAR模型

QSAR 定量构效方法(quantitative structure-activity relationship, QSAR)是应用最为广泛的药物设计方法。所谓定量构效方法就是通过一些数理统计方法建立其一系列化合物的生理活性或某种性质与其物理化学性质之间的定量关系,通过这些定量关系。可以预测化合物的生理活性或某些性质,指导我们设计出具有更高活性的化合物。 早在...

DrugOne 5077

敏捷宣言以及敏捷开发的特点

敏捷宣言 敏捷宣言,也叫做敏捷软件开发宣言,正式宣布了对四种核心价值和十二条原则,可以指导迭代的以人为中心的软件开发方法。 敏捷宣言强调的敏捷软件开发的四个核心价值是: 个体和互动高于流程和工具 工作的软件高于详尽的文档 客户合作高于合同谈判 响应变化高于遵循计划 ( 注:敏捷开发的第一条价值观就是“ 以人为本”,强调“...

dfgwang1202的博客 596

高熵合金AlCoCrFeNi/金刚石摩擦案例代码

本文介绍金刚石与高熵合金AlCoCrFeNi摩擦的案例。 在之前的文章中,介绍过使用fix indent命令实现虚拟球的摩擦,本文介绍使用金刚石实体球实现高熵合金摩擦的方法。 主要的模拟过程如下: (1)基体建模 建使用原子替换法获得高熵合金初始模型,升温到3000K驰豫后,冷却至300K,获得平衡组织。 (2)摩擦球建模 在高熵合金平衡组织的模型中添加金刚石摩擦球,使用change_box命令扩大box尺寸,添加金刚石摩擦球,并设置混合力场。 (3)摩擦过程 摩擦球下压一定深度后,沿y方向进行摩擦,摩擦

lammps_jiayou的博客 2899

Re: 客户协作 OVER 合同谈判

软件合同也是合同,按计价方式分类,有:固定总价合同,成本加酬金合同,单价合同,计量估价合同。冰云原文主要提到的是1、3。其中“改良的单价合同”看描述,应该还是固定总价。只不过固定的人性化一些,双方合作更亲密些。 固定总价合同作为最常见的计价方式,是有其合理性的:风险可控,投入可预期。 成本加酬金合同很不错,但人为因素太高。在中国,人们还只习惯于对产品定价;还不习惯对满意程度的酬金进行定价。 单价...

kabbesy 285

C# WinForm 基于DirectShow.dll编写的程序,可边预览边保存视频,音频和图片

基于微软的DirectShow.dll的二次开发1.自动识别连接的摄像头跟麦克风且可以对其进行选择(默认选中第一个)2.可录制wmv和avi两种格式的视频并且都带有音频,avi可以录制的分辨率和帧数进行选择,wmv默认进行了淸晰度优化如不喜欢可去除代码中有相关提示3.可在预览点开之后进行拍照,也可边录制视频边拍照4.添加了视频和音频的压缩功能(酌情使用)这次二次开发发现C#对DirectShow的相关信息太少,这次做完也不敢藏私共享出来,还望大家指正

WINCC7.3破解文件

WINCC7.3硬件够破解文件,有需要的下载!WINCC7.3硬件够破解文件,有需要的下载!

敏捷宣言

http://www.youkuaiyun.com/article/2014-03-17/2818803-Agile-Is-Dead ndividuals and Interactions over Processes and Tools 个体和互动 高于 流程和工具 Working Software over Comprehensive Documentation 工作的软件 高于 详尽

romandion的专栏 899

精雕软件(JDpaint) 5.5 绿色版

精雕软件(JDpaint) 5.5 绿色版精雕软件(JDpaint) 5.5 绿色版精雕软件(JDpaint) 5.5 绿色版

混合计价模型:拆解交付目标与过程投入的合同新范式

在软件外包与IT服务采购中,固定报价与按小时计费长期陷入信任损耗与范围失控的困境。其本质是将‘交付结果’与‘实现过程’错误捆绑,导致需求变更即成本纠纷、工时透明反成协作障碍。混合计价模型通过分离契约维度——上层锁定可验证的里程碑成果(如API响应≤200ms),下层以时间看板显性化价值流动并设置双向触发阈值——实现风险共担、目标对齐与过程可信。该模式依托范围冻结协议、弹性缓冲池等实操支柱,已在37个SaaS模块项目中验证交付稳定性提升63%、返工下降22人天。适用于中型定制开发、合规要求明确、需长期协作的数

weixin_30776545的博客 408

[Notes] DevOps Demystified - An introduction to the ideas that are driving DevOps

https://www.youtube.com/watch?v=h5E--QSBVBYDevOps Demystified - An introduction to the ideas that are driving DevOpsDevOps Components:Collaboration of PeopleConvergence of ProcessCreation & Exploratio

Progressive Notes 3313

关于敏捷价值观

撰文 Craig Larman编译 张恂 Scrum and agile is not a practice; it is a set of values that imply a deep understanding and...

cuijin7184的博客 289

敏捷辅助工具_敏捷工具不会使您敏捷

敏捷辅助工具 问问自己以下问题: 出色的高尔夫俱乐部会让您成为出色的高尔夫球手吗? 一级方程式赛车是否会让您成为专家级车手? 出色的开发工具会使您成为专业的开发人员吗? 除非您有妄想症 ,否则您将知道所有这些问题的答案是否定的 。 使用正确的工具可以大大提高专家的表现,但是如果使用一个好的工具,则初学者的表现不会更好。 无论诸如Version On e和JIRA之类的...

danpu1174的博客 173

敏捷开发小记1

参照:http://www.agilealliance.org/ The Manifesto for Agile Software Development 敏捷软件开发宣言 We are uncovering better ways of developing software by doing it and helping others do it. Through this

南柯一梦 575

敏捷工具不会使您敏捷

问自己以下问题: 出色的高尔夫俱乐部会让您成为出色的高尔夫球手吗? 一级方程式赛车是否会让您成为专业的车手? 出色的开发工具会使您成为专家开发人员吗? 除非您有妄想症 ,否则您将知道所有这些问题的答案是否定的 。 使用正确的工具可以大大提高专家的表现,但是如果使用一个好的工具,则初学者的表现不会更好。 无论诸如Version On e和JIRA之类的启用敏捷的工具如何...

danpu1174的博客 135

GPT-4会议纪要生成:从语音处理到企业协作流重构

会议纪要自动化本质是面向知识工作的流程智能化升级,其技术基础涵盖语音识别、多轮对话结构化解析与企业级信息治理三重能力。核心原理在于将原始会议音频经说话人分离、方言/术语增强、时间戳对齐等鲁棒性预处理后,输入大模型进行意图驱动的结构化提取;技术价值不仅在于降本(人工耗时压缩81%),更在于提升行动项准确率(达91.3%)与合规可追溯性。典型应用场景包括SaaS跨部门同步、律所庭审复盘及高校科研决策记录,而GPT-4凭借更强的多维度关系推理能力,在技术参数、责任归属等关键字段提取上显著优于GPT-3.5。本文聚

cuili5839的博客 407

Agile Software Development

Individuals and interactions over processes and tools.(个人和协作超过过程和工具)working software over comprehensive documentation.(工作软件超过完全文档)Customer collaboration over contract negotiation.(客户协作超过合同谈判)Responding to change over following a plan.(随机应变)

benaso的大学学习历程 1053

敏捷宣言及原则(中英对照)

摘自http://agilemanifesto.org/ Manifesto for Agile Software Development 敏捷软件开发宣言 We are uncovering better ways of developing software by doing it and helping others do it. Through this work w...

weixin_30819085的博客 830

敏捷软件开发之何为敏捷开发

敏捷开发,Agile Development,就是指能够在需求迅速变化的情况下快速开发软件。我们接触最多敏捷实践方式有:极限编程(XP)、结对编程、测试驱动开发(TDD)等。 追究敏捷的历史,就必须要提到著名的敏捷开发宣言,2001年,17位业界专家(其中包括我们非常熟悉的Martin, Martin Fowler)组成了一个敏捷联盟,并且创建了一份敏捷联盟宣言,宣扬了4条核心价值观: ...

wangxiaohigh 110

从Copilot到数字劳动力:企业级AI规模化落地方法论

数字劳动力(Digital Labor)是面向企业生产环境的端到端AI执行体,区别于仅提供单点辅助的Copilot,其核心在于目标导向推理、多Agent协同与可审计责任机制。它依托Agentic AI架构,通过原子化能力封装、分布式工作流编排与安全执行沙箱,实现跨系统、跨角色、可追责的自动化任务闭环。技术价值体现在显著降低场景适配成本、提升流程自主率与治理合规性,广泛应用于金融信贷审批、制造业预测性维护、全球合规审计等强规则、高协同、严审计的业务场景。本文聚焦如何将已验证的Copilot能力升级为真正可调度

babing2770的博客 430
上一篇: 敏捷团队建设
icecloud
博客等级 码龄26年 160粉丝 27原创
评论 4
成就一亿技术人!
拼手气红包6.0元
还能输入1000个字符
 
 条评论被折叠 查看
添加红包

请填写红包祝福语或标题

个

红包个数最小为10个

元

红包金额最低5元

当前余额3.43元 前往充值 >
需支付:10.00元
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付元
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值